v3/Access API's

Get Ekeys (Legacy v2)

Deprecated — use the v3 endpoint instead. New integrations should use GET /api/v3/booking/getLockData/:referenceId which returns the same data with additional fields (lockName, lockLocationType).

This API endpoint allows you to fetch Ekeys for an existing booking.

Method

GET

URL

https://api.mosler.in/api/v2/booking/getLockData/:referenceId

Headers

NameTypeRequiredDescription
apikeystringYesAPI Key

Request Parameters

NameTypeRequiredDescription
referenceIdstringYesThe unique identifier for the booking.

Response Parameters

NameTypeDescription
messagestringThe message returned by the API.
codenumberThe status code returned by the API.
errorbooleanIndicates if an error occurred during the API call.
dataarrayAn array of objects containing the data returned by the API.

Each object in the data array contains the following fields:

NameTypeDescription
lockDatastringLock data, used to operate lock.
lockMacstringMAC address of the lock.
lockIdstringThe unique identifier of the lock.
lockLocationTypestringThe type of lock location. "door" or "cabinet"
roomNumberstring or nullThe room number. null when lockLocationType == "cabinet"
bedNumberstring or nullThe bed number. null when lockLocationType == "door"
siteNamestringThe site name.
keyIdnumberThe unique identifier of the e-key.